WPSOLE1ParserInternal::OLEZone Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
WPSOLE1ParserInternal::OLEZone Struct Reference

an OLE Zone More...

## Public Member Functions
| OLEZone (int levl)
| constructor

## Public Attributes
int | m_level
| the level
long | m_defPosition
| the position where this zone is defined
std::map< int, unsigned long > | m_varIdToValueMap
| a list of variable
std::vector< int > | m_idsList
| the list of pair id:type
std::vector< long > | m_beginList
| the list of pointers
std::vector< long > | m_lengthList
| the list of length
std::vector< OLEZone > | m_childList
| the list of child
std::string | m_names [2]
| the list of names
bool | m_parsed
| a flag to know if the zone is parsed

## Detailed Description

an OLE Zone

## Constructor & Destructor Documentation

## ◆ OLEZone()

WPSOLE1ParserInternal::OLEZone::OLEZone | ( | int | levl | ) |
| inlineexplicit

constructor

## Member Data Documentation

## ◆ m_beginList

std::vector<long> WPSOLE1ParserInternal::OLEZone::m_beginList

the list of pointers

Referenced by WPSOLE1Parser::checkIfParsed(), WPSOLE1Parser::createZones(), WPSOLE1Parser::getStream(), and OLEZone().

## ◆ m_childList

std::vector<OLEZone> WPSOLE1ParserInternal::OLEZone::m_childList

the list of child

Referenced by WPSOLE1Parser::checkIfParsed(), WPSOLE1Parser::createZones(), OLEZone(), WPSOLE1Parser::updateMetaData(), and WPSOLE1Parser::updateZoneNames().

## ◆ m_defPosition

long WPSOLE1ParserInternal::OLEZone::m_defPosition

the position where this zone is defined

Referenced by WPSOLE1Parser::createZones(), OLEZone(), and WPSOLE1Parser::updateZoneNames().

## ◆ m_idsList

std::vector<int> WPSOLE1ParserInternal::OLEZone::m_idsList

the list of pair id:type

Referenced by WPSOLE1Parser::createZones(), WPSOLE1Parser::getStream(), OLEZone(), and WPSOLE1Parser::updateZoneNames().

## ◆ m_lengthList

std::vector<long> WPSOLE1ParserInternal::OLEZone::m_lengthList

the list of length

Referenced by WPSOLE1Parser::createZones(), WPSOLE1Parser::getStream(), and OLEZone().

## ◆ m_level

int WPSOLE1ParserInternal::OLEZone::m_level

the level

Referenced by OLEZone(), and WPSOLE1Parser::updateZoneNames().

## ◆ m_names

std::string WPSOLE1ParserInternal::OLEZone::m_names[2]

the list of names

Referenced by WPSOLE1Parser::checkIfParsed(), WPSOLE1Parser::updateMetaData(), and WPSOLE1Parser::updateZoneNames().

## ◆ m_parsed

bool WPSOLE1ParserInternal::OLEZone::m_parsed
| mutable

a flag to know if the zone is parsed

Referenced by WPSOLE1Parser::checkIfParsed(), WPSOLE1Parser::createZones(), WPSOLE1Parser::getStream(), and OLEZone().

## ◆ m_varIdToValueMap

std::map<int,unsigned long> WPSOLE1ParserInternal::OLEZone::m_varIdToValueMap

a list of variable

Referenced by WPSOLE1Parser::createZones(), and OLEZone().

The documentation for this struct was generated from the following file:

- WPSOLE1Parser.cpp